package net.t2code.t2codelib;

import lombok.Getter;
import net.t2code.t2codelib.SPIGOT.system.T2CodeLibMain;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class Util {

    @Getter
    private static String infoText = "<yellow>Description:</yellow> <gold>" + T2CodeLibMain.getPlugin().getDescription().getDescription() + "</gold>";

    @Getter
    private static String prefix = "<dark_gray>[<dark_red>T2Code</dark_red><dark_purple>Lib</dark_purple>]</dark_gray>";

    @Getter
    private static String vPrefix = "[T2CodeLib]";

    @Getter
    private static Integer spigotID = 96388;

    @Getter
    private static String git = "JaTiTV/T2CodeLib";

    @Getter
    private static Integer bstatsID = 12518;

    @Getter
    private static String spigot = "https://www.spigotmc.org/resources/" + getSpigotID();

    @Getter
    private static String discord = "http://dc.t2code.net";

    @Getter
    private static List<String> T2cPlugins = Arrays.asList(
            "T2CodeLib",
            "T2C-LuckyBox",
            "WonderBagShop",
            "CommandGUI",
            //   "T2C-OPSecurity",
            "OPSecurity",
            "PaPiTest",
            "T2C-Alias",
            "T2C-AutoResponse",
            "LoreEditor",
            "Booster",
            "AntiMapCopy",
            "AntiCopy",
            "T2C-LoginPermissionAuth"
    );

    @Getter
    private static final List<String> configT2CodeLogo = Arrays.asList(
            "# ╔═════════════════════════════════════════════════════════════════════════════╗",
            "# ║   _______   ___     _____               _                             _     ║",
            "# ║  |__   __| |__ \\   / ____|             | |                           | |    ║",
            "# ║     | |       ) | | |        ___     __| |   ___       _ __     ___  | |_   ║",
            "# ║     | |      / /  | |       / _ \\   / _` |  / _ \\     | '_ \\   / _ \\ | __|  ║",
            "# ║     | |     / /_  | |____  | (_) | | (_| | |  __/  _  | | | | |  __/ | |_   ║",
            "# ║     |_|    |____|  \\_____|  \\___/   \\__,_|  \\___| (_) |_| |_|  \\___|  \\__|  ║",
            "# ║                                                                             ║",
            "# ║                       This plugin is from T2Code.net                        ║",
            "# ║                      Development Team: JaTiTV & Jkobs                       ║",
            "# ║     Feel free to come to our Discord for support: https://dc.t2code.net     ║",
            "# ╚═════════════════════════════════════════════════════════════════════════════╝",
            "",

            "####################################################################################################################",
            "##                                                                                                                ##",
            "##        /$$$$$$$$ /$$$$$$   /$$$$$$                  /$$                                     /$$                ##",
            "##       |__  $$__//$$__  $$ /$$__  $$                | $$                                    | $$                ##",
            "##          | $$  |__/  \\ $$| $$  \\__/  /$$$$$$   /$$$$$$$  /$$$$$$      /$$$$$$$   /$$$$$$  /$$$$$$              ##",
            "##          | $$    /$$$$$$/| $$       /$$__  $$ /$$__  $$ /$$__  $$    | $$__  $$ /$$__  $$|_  $$_/              ##",
            "##          | $$   /$$____/ | $$      | $$  \\ $$| $$  | $$| $$$$$$$$    | $$  \\ $$| $$$$$$$$  | $$                ##",
            "##          | $$  | $$      | $$    $$| $$  | $$| $$  | $$| $$_____/    | $$  | $$| $$_____/  | $$ /$$            ##",
            "##          | $$  | $$$$$$$$|  $$$$$$/|  $$$$$$/|  $$$$$$$|  $$$$$$$ /$$| $$  | $$|  $$$$$$$  |  $$$$/            ##",
            "##          |__/  |________/ \\______/  \\______/  \\_______/ \\_______/|__/|__/  |__/ \\_______/   \\___/              ##",
            "##                                                                                                                ##",
            "##    T2CodeLib from JaTiTV / T2Code.net. In case of problems please contact the Discord: https://dc.t2code.net   ##",
            "##                                                                                                                ##",
            "####################################################################################################################");


    public static String[] getConfigLogo() {

        ArrayList<String> arrayList = new ArrayList<>(configT2CodeLogo);

        arrayList.addAll(Arrays.asList("", "# Spigot: " + getSpigot()));

        return arrayList.toArray(new String[0]);
    }


    @Getter
    private static String[] loadLogo = new String[]{
            "╔═══════════════════════════════════════════════════════════════════════════╗",
            "║  _______   ___     _____               _                             _    ║",
            "║ |__   __| |__ \\   / ____|             | |                           | |   ║",
            "║    | |       ) | | |        ___     __| |   ___       _ __     ___  | |_  ║",
            "║    | |      / /  | |       / _ \\   / _` |  / _ \\     | '_ \\   / _ \\ | __| ║",
            "║    | |     / /_  | |____  | (_) | | (_| | |  __/  _  | | | | |  __/ | |_  ║",
            "║    |_|    |____|  \\_____|  \\___/   \\__,_|  \\___| (_) |_| |_|  \\___|  \\__| ║",
            "║                                                                           ║",
            "║                      This plugin is from T2Code.net                       ║",
            "║                     Development Team: JaTiTV & Jkobs                      ║",
            "║    Feel free to come to our Discord for support: https://dc.t2code.net    ║",
            "╠═══════════════════════════════════════════════════════════════════════════╣"
    };

    private static String[] loadLogos = new String[]{
            "╔════════════════════════════════════╗",
          //  "║ Version: "+version+" ║",
            "╚════════════════════════════════════╝"
    };
}
