// This class was created by JaTiTV.

package net.t2code.t2codelib.SPIGOT.api.sound;

import net.t2code.t2codelib.SPIGOT.api.messages.T2Csend;
import net.t2code.t2codelib.SPIGOT.api.minecraftVersion.T2CmcVersion;
import net.t2code.t2codelib.SPIGOT.system.config.languages.T2CLibLanguages;
import org.bukkit.Sound;
import org.bukkit.entity.Player;

public class T2Csound {
    public static void playSound(Player player, String sound, int v, int v1) {
        playSound(player, Sound.valueOf(sound), v, v1);
    }

    public static void playSound(Player player, Sound sound, int v, int v1) {
        player.playSound(player.getLocation(), sound, v, v1);
    }


    public static Sound checkSound(String sound1_8, String sound1_9, String sound1_13, String selectSoundFromConfig, String prefix) {
        String SOUND;
        if (T2CmcVersion.isMc1_8()) {
            SOUND = sound1_8;
        } else if (T2CmcVersion.isMc1_9() || T2CmcVersion.isMc1_10() || T2CmcVersion.isMc1_11() || T2CmcVersion.isMc1_12()) {
            SOUND = sound1_9;
        } else SOUND = sound1_13;

        return checkSound(SOUND, selectSoundFromConfig, prefix);
    }


    public static Sound checkSound(String sound1_8, String sound1_13, String selectSoundFromConfig, String prefix) {
        String SOUND;
        if (T2CmcVersion.isMc1_8()) {
            SOUND = sound1_8;
        } else SOUND = sound1_13;

        return checkSound(SOUND, selectSoundFromConfig, prefix);
    }


    public static Sound checkSound(String sound, String selectSoundFromConfig, String prefix) {
        try {
            return Sound.valueOf(selectSoundFromConfig);
        } catch (Exception e) {
            T2Csend.console("§4\n§4\n§4\n" + T2CLibLanguages.VALUES.soundNotFound.getValue().toString().replace("[prefix]", prefix)
                    .replace("[sound]", "§8Buy: §6" + selectSoundFromConfig) + "§4\n§4\n§4\n");
            return Sound.valueOf(sound);
        }
    }

}
